//Boston University - Electronics Design Facility
//Monkey Timer Mk2
//http://edf.bu.edu/
//written by Chris Lawlor, January - April 2011
//Device is Atmega2560
//CPU clock is 16Mhz
//This file defines the interface for the Microchip MCP4541 digital potentiometer
//the MCP4541 can use the TWI at 100kHz

#ifndef _POT_MCP4541_H
#define _POT_MCP4541_H 1

#include "twi_atmega2560.h"

#define MCP4541_TWI_ADDR_ALTSEL		0 		//port C pin 0
#define MCP4541_TWI_ADDR_DFLT		0x2E	
#define MCP4541_TWI_ADDR_ALT		0x2F	

void mc4541_addr_select()
{
	DDRC |= 0x01;
	PORTC &= ~0x01;
}

/*
int mc4541_read()
{
	mc4541_addr_select();
	char c[10];
	twi_master_read (MCP4541_TWI_ADDR_DFLT, char starting_address, c, 1);
}
*/

#endif
